
int TDB::Read(const char *lkey, char *outdata)
{
    GDBM_FILE dbf = gdbm_open(dbname, SIZE_DBBLOCK, GDBM_READER, 00600, 0);

    if(dbf == NULL) return -1; 
   
    datum dkey = { (char *)lkey, strlen(lkey) }; 
    datum ddata = gdbm_fetch(dbf, dkey);

    strcpy(outdata, ddata.dptr);
    int size = ddata.dsize;
 
    gdbm_close(dbf);

    return size;
}


int TDB::Update(const char *lkey, const char *data, const int size)
{
    GDBM_FILE dbf = gdbm_open(dbname, SIZE_DBBLOCK, GDBM_WRITER, 00600, 0);
  
    if(dbf == NULL) return -1;

    datum dkey = { (char *)lkey, strlen(lkey) }; 
    datum ddata = { (char *)data, size };

    int result = gdbm_store(dbf, dkey, ddata, GDBM_REPLACE);
    gdbm_close(dbf);

    return result;
}

