#ifndef __TDB_H__
#define __TDB_H__

#include <gdbm.h>
#include <string.h>

#define SIZE_DBBLOCK 8192 //  8K
#define MAX_DIR      512

class TDB
{
protected :
    char dbname[MAX_DIR];

public :
    TDB(const char *ldbname)
    {
        strcpy(dbname, ldbname);
    };

    int Read(const char *lkey, char *outdata);
    int Update(const char *lkey, const char *data, const int size);
    int Update(const char *lkey, const char *data)
    {
        return Update(lkey, data, strlen(data)+1); // include NULL
    };
};

#endif
